Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233386 (perl-Gtk2-Ex-Carp) - Review Request: perl-Gtk2-Ex-Carp - GTK+ friendly die() and warn() functions
Summary: Review Request: perl-Gtk2-Ex-Carp - GTK+ friendly die() and warn() functions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Gtk2-Ex-Carp
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Gtk2-Ex-C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 23:51 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 17:39:00 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-03-21 23:51:46 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp-0.01-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp.spec

Description:
This module exports four functions, of which two override the standard
die() and warn() functions, and two which allow for extended error
reporting. When called, these functions display a user-friendly message
dialog window.

Comment 1 Parag AN(पराग) 2007-03-23 04:13:23 UTC
mock build went fine but got make test failed
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/use....Gtk-WARNING **: cannot open display:   at
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gtk2.pm line 63.
dubious
        Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 1
        Failed 1/1 tests, 0.00% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/use.t        1   256     1    2 200.00%  1
Failed 1/1 test scripts, 0.00% okay. 1/1 subtests failed, 0.00% okay.
make: *** [test_dynamic] Error 1

Am I missing something??

Comment 2 Chris Weyl 2007-03-23 14:58:56 UTC
Nope, nothing missing -- make test fails here as mock (correctly) runs with
$DISPLAY unset.  New spec/srpm to follow.

Comment 3 Chris Weyl 2007-03-23 15:00:57 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp-0.01-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Carp.spec

Description:
This module exports four functions, of which two override the standard
die() and warn() functions, and two which allow for extended error
reporting. When called, these functions display a user-friendly message
dialog window.
New spec/srpm posted.

Comment 4 Parag AN(पराग) 2007-03-26 04:12:34 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a9e6de1c2e54c504d19b6b0f5faa3f5b  Gtk2-Ex-Carp-0.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test results nothing.
+ Provides: perl(Gtk2::Ex::Carp) = 0.01 perl(Gtk2::Ex::Carp::ExtendedErrorDialog)
APPROVED.


Comment 5 Chris Weyl 2007-03-26 15:24:53 UTC
New Package CVS Request
=======================
Package Name: perl-Gtk2-Ex-Carp
Short Description: GTK+ friendly die() and warn() functions
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 6 Chris Weyl 2007-03-26 17:39:00 UTC
Branched, imported, building.  Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.